/*
 * Copyright 2016 JBoss, by Red Hat, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.uberfire.ext.layout.editor.client;

import org.jboss.errai.common.client.api.IsElement;
import org.uberfire.client.annotations.WorkbenchPartTitle;
import org.uberfire.client.annotations.WorkbenchPartView;
import org.uberfire.client.annotations.WorkbenchScreen;
import org.uberfire.ext.layout.editor.client.resources.i18n.CommonConstants;
import org.uberfire.ext.layout.editor.client.widgets.LayoutEditorPropertiesPresenter;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;

@ApplicationScoped
@WorkbenchScreen(identifier = LayoutEditorPropertiesScreen.SCREEN_ID)
public class LayoutEditorPropertiesScreen {

    public static final String SCREEN_ID = "LayoutEditorPropertiesScreen";

    private LayoutEditorPropertiesPresenter propertiesPresenter;


    public LayoutEditorPropertiesScreen() {
    }

    @Inject
    public LayoutEditorPropertiesScreen(LayoutEditorPropertiesPresenter propertiesPresenter) {
        this.propertiesPresenter = propertiesPresenter;
    }

    @WorkbenchPartTitle
    public String getTitle() {
        return CommonConstants.INSTANCE.LayoutEditorProperties();
    }

    @WorkbenchPartView
    public IsElement getView() {
        return propertiesPresenter.getView();
    }
}